Name:    konsole5
Summary: KDE Terminal emulator
Version: 15.08.3
Release: 2~praiskup%{?dist}

# sources: MIT and LGPLv2 and LGPLv2+ and GPLv2+
License: GPLv2 and GFDL
URL:     http://konsole.kde.org/
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/applications/%{version}/src/konsole-%{version}.tar.xz

## upstreamable patches
# https://bugs.kde.org/show_bug.cgi?id=173283
# (kinda) upstreamed, though there seems to be some objections, so may
# end up getting reverted at some point.  -- rex
Patch50: konsole-15.04.0-history_cache_instead_of_tmp.patch
# fix version
Patch51:  konsole-15.08.1-version.patch

## upstream patches
Patch111: 0011-Allow-user-to-select-where-the-scrollback-history-fi.patch
Patch118: 0018-Use-a-clearer-config-name-when-using-CacheLocation-f.patch

## downstream patches
Patch200: konsole-history_location_default.patch

Patch201: konsole-15.08.1-background-check.patch

# custom konsolerc that sets default to cache as well
Source10: konsolerc

Obsoletes: konsole < 14.12
Provides:  konsole = %{version}-%{release}

BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: extra-cmake-modules
BuildRequires: gettext
BuildRequires: pkgconfig(x11)
BuildRequires: kf5-rpm-macros
BuildRequires: kf5-kbookmarks-devel
BuildRequires: kf5-kcompletion-devel
BuildRequires: kf5-kcoreaddons-devel
BuildRequires: kf5-kconfig-devel
BuildRequires: kf5-kconfigwidgets-devel
BuildRequires: kf5-kdoctools-devel
BuildRequires: kf5-kguiaddons-devel
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-kiconthemes-devel
BuildRequires: kf5-kinit-devel >= 5.10.0-3
BuildRequires: kf5-kdelibs4support-devel
BuildRequires: kf5-kio-devel
BuildRequires: kf5-knotifications-devel
BuildRequires: kf5-knotifyconfig-devel
BuildRequires: kf5-kparts-devel
BuildRequires: kf5-kpty-devel
BuildRequires: kf5-kservice-devel
BuildRequires: kf5-ktextwidgets-devel
BuildRequires: kf5-kwidgetsaddons-devel
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: kf5-kxmlgui-devel
## TODO?
#BuildRequires: kf5-konq-devel

BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtscript-devel

Requires: %{name}-part%{?_isa} = %{version}-%{release}

%{?kf5_kinit_requires}

%description
%{summary}.

%package part
Summary: Konsole5 kpart plugin
%description part
%{summary}.


%prep
%setup -q -n konsole-%{version}

%patch50 -p1 -b .history_cache_instead_of_tmp
%patch51 -p1 -b .version
%patch111 -p1 -b .0011
%patch118 -p1 -b .0018
%patch200 -p1 -b .history_location_default
%patch201 -p1 -b .background


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

install -m644 -p -b -D %{SOURCE10} %{buildroot}%{_sysconfdir}/xdg/konsolerc

%check
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.konsole.desktop
test "$(%{_target_platform}/src/konsole --version | grep ^Konsole | cut -d' ' -f2)" = "%{version}"


%files
%doc README
%{_kf5_bindir}/konsole
%{_kf5_bindir}/konsoleprofile
%{_kf5_libdir}/libkdeinit5_konsole.so
%{_kf5_datadir}/applications/org.kde.konsole.desktop
%{_datadir}/appdata/org.kde.konsole.appdata.xml
%{_kf5_datadir}/knotifications5/konsole.notifyrc
%{_kf5_datadir}/kservices5/ServiceMenus/konsolehere.desktop
%{_kf5_datadir}/kservices5/ServiceMenus/konsolerun.desktop
%{_kf5_datadir}/kservicetypes5/terminalemulator.desktop
%{_kf5_datadir}/kxmlgui5/konsole/konsoleui.rc
%{_kf5_datadir}/kxmlgui5/konsole/sessionui.rc
%{_kf5_docdir}/HTML/en/konsole/

%post part -p /sbin/ldconfig
%postun part -p /sbin/ldconfig

%files part
%license COPYING*
%config(noreplace) %{_sysconfdir}/xdg/konsolerc
%{_kf5_datadir}/konsole/
%{_kf5_libdir}/libkonsoleprivate.so.15*
%{_kf5_qtplugindir}/konsolepart.so
%{_kf5_datadir}/kservices5/konsolepart.desktop
%{_kf5_datadir}/kxmlgui5/konsole/partui.rc


%changelog
* Wed Nov 18 2015 Pavel Raiskup <praiskup@redhat.com> - 15.08.3-2~praiskup
- KDE bug 352945, rhbz#1264682

* Thu Nov 12 2015 Rex Dieter <rdieter@fedoraproject.org> - 15.08.3-1
- 15.08.3
- use %%license
- backport support for FileLocation UI (default: cache)

* Wed Sep 16 2015 Rex Dieter <rdieter@fedoraproject.org> - 15.08.1-1
- 15.08.1

* Wed Aug 26 2015 Daniel Vrátil <dvratil@redhat.com> - 15.08.0-1
- 15.08.0

* Sat Aug 15 2015 Rex Dieter <rdieter@fedoraproject.org> - 15.04.3-2
- fix 'konsole --version' to match reality
- backport copy-n-paste fixes (#1235024)

* Tue Jun 30 2015 Rex Dieter <rdieter@fedoraproject.org> - 15.04.3-1
- 15.04.3

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 15.04.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 10 2015 Rex Dieter <rdieter@fedoraproject.org> - 15.04.2-1
- 15.04.2

* Mon Jun 01 2015 Rex Dieter <rdieter@fedoraproject.org> 15.04.1-2
- +%%{?kf5_kinit_requires}

* Fri May 15 2015 Rex Dieter <rdieter@fedoraproject.org> 15.04.1-1
- 15.04.1

* Fri May 15 2015 Rex Dieter <rdieter@fedoraproject.org> 15.04.0-2
- store history in cachedir instead of tmp (#1222061,kde#173283)

* Tue Apr 14 2015 Rex Dieter <rdieter@fedoraproject.org> - 15.04.0-1
- 15.04.0

* Sat Jan 31 2015 Rex Dieter <rdieter@fedoraproject.org>  14.12.1-1
- kf5-based konsole-14.12.x

